## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://gitlab.freedesktop.org/cangjie/libcangjie
%global archiveext tar.xz

Name:             libcangjie
Summary:          Cangjie Input Method Library
Version:          1.4.0
Release:          %autorelease
License:          LGPL-3.0-or-later
URL:              http://cangjians.github.io/projects/%{name}
Source0:          https://gitlab.freedesktop.org/cangjie/%{name}/-/archive/v%{version}/%{name}-%{version}.%{archiveext}

BuildRequires:    gcc
BuildRequires:    sqlite-devel
BuildRequires:    meson

# Split out so it can be noarch
Requires:         %{name}-data = %{version}-%{release}

%description
Library implementing the Cangjie input method.


%package data
Summary:          Database for %{name}
BuildArch:        noarch

%description data
Database for %{name}.


%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{_isa} = %{version}-%{release}
Requires:         sqlite-devel

%description devel
Development files for %{name}.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

find %{buildroot} -name '*.la' -exec rm -f '{}' \;


%check
%meson_test


%files
%doc AUTHORS COPYING README.md
%{_libdir}/%{name}.so.3*

%files data
%doc data/README.table.md
%{_datadir}/%{name}

%files devel
%doc docs/*.md
%{_bindir}/libcangjie-*
%{_includedir}/cangjie
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/cangjie.pc


%changelog
## START: Generated by rpmautospec
* Sat Nov 23 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4.0-5
- Bump autorelease

* Sat Nov 23 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4.0-4
- Bump autorelease...

* Fri Nov 22 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4.0-3
- Use the just created tarball

* Mon Sep 09 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4.0-2
- Fix the source URL

* Mon Sep 02 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.4.0-1
- New upstraam release

* Mon Sep 02 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.3.2-3
- Undo the rpminspect change

* Sat Jul 27 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.3.2-2
- Disable building with coverage enabled

* Tue Jul 23 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.3.2-1
- New upstream release, fixing a bad bug with the DB

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Miroslav Suchý <msuchy@redhat.com> - 1.3.1-9
- convert LGPLv3+ license to SPDX

* Thu Jul 11 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.3.1-8
- Tell rpminspect to shut up about wrong unicode issues

* Wed Jul 10 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.3.1-7
- Revert "Just a dumbass attempt at tricking autorelease and chaing-
  building"

* Mon Jul 08 2024 Mathieu Bridon <mathieu@daitauha.fr> - 1.3.1-6
- Just a dumbass attempt at tricking autorelease and chaing-building

* Sat Jul 06 2024 Mathieu Bridon <bochecha@daitauha.fr> - 1.3.1-1
- New upstream release

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.3-9
- Removed the ldconfig scriptlets.

* Sun Feb 18 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.3-8
- Added missing build requirement on gcc.
  https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/IJFYI5Q2BYZKIGDFS2WLOBDUSEGWHIKV/

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Dec 28 2014 Mathieu Bridon <bochecha@daitauha.fr> - 1.3-1
- New upstream 1.3 release.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2-1
- New upstream 1.2 release.

* Sun Feb 02 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 1.1-1
- New upstream 1.1 release.

* Sun Dec 22 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.0-1
- New upstream 1.0 release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1a-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1a-3
- Apply upstream patch to fix the classic frequency.

* Sat Apr 20 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1a-2
- Split out the databases to a noarch subpackage, as suggested by Michael
  during the review.

* Sat Apr 20 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1a-1
- Initial package for Fedora.

## END: Generated by rpmautospec
